h52453
s 00047/00000/00000
d D 1.1 83/01/20 11:09:35 tes 1 0
c date and time created 83/01/20 11:09:35 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine clrini
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: initialize a given color table for GSS-GRAPH           #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#               gzddop - call current device driver                    #
#                                                                      #
########################################################################
 
integer contrl(5), intin(4), kindex, i,
	red(8), green(8), blue(8), idummy(1)

data red   /0, 1000, 1000,    0,    0,    0,  500,  500/
data green /0, 1000,    0, 1000,    0,  500,  500,    0/
data blue  /0, 1000,    0,    0, 1000,  500,    0,  500/

    contrl(OPCODE) = SETxCOLORxREPRESENTATION
    contrl(VERTICESxIN) = 0

    # define color table
    kindex = 0
    do i = 1, 8 {
       intin(1) = kindex
       intin(2) = red(i)
       intin(3) = green(i)
       intin(4) = blue(i)
       call gzddop (contrl, intin, idummy, idummy, idummy)
       kindex = kindex + 1
       }

   return
end
E 1
